Chapter 2. Fire up the GIMP
| Part I. Getting started |

## Chapter 2. Fire up the GIMP

## 1. Running GIMP

Revision History
Revision $Revision: 2504 $ | 2007-09-30 | lexA

Most often, you start GIMP either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.4 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by GIMP as it starts. It is also possible, though, to open files from within GIMP once it is running.

In most operating systems, you can set things up so that various types of image files are “associated” with GIMP, and cause it to start automatically when icons for them are double-clicked.

### 1.1. Known Platforms

The GIMP is the most widely supported image manipulation available today. The platforms that The GIMP is known to work on include:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ and BeOS™.

The GIMP can easily be ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Language

All being well, GIMP detects the system language. This may fail on some machines and you may want use another language. It is possible to change the language:

Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en by fr, de, ... according to the language you want. Background: By using `LANGUAGE=en` you're setting an environment variable for the executed program `gimp` here.

Windows XP

  Control Panel → System → Advanced → Environment button in “System Variables” area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click on three successive OK to validate your choice.

  If you often change language, you can create a batch file. Open NotePad. Type the following commands (for french for instance):

  set lang=fr
  cd c:\Program Files\GIMP-2.0\bin
  GIMP-2.4.exe

  Save this file as GIMP-FR.BAT (or another name, but always with a .BAT extension). Create shortcut and drag it to your desktop.

Apple Mac OS X

  Go to System Preferences, click on the International icon, and in the Language tab, the desired language should be the first in the list.

### 1.3. Command Line Arguments

Ordinarily you don't need to give any arguments when starting GIMP, but here is a list of some that may at one time or another be useful. This is not a complete list; on Unix systems you can get a complete list by running `man gimp` in a terminal window.

To use the command line options, you have to put them in the command line which you use to start GIMP as gimp-2.4 [OPTION...] [FILE|URI...].

-?, --help

  Display a list of all commandline options.

--help-all

  Show all help options.

--help-gtk

  Show GTK+ Options.

-v, --version

  Print the version of GIMP being used, and exit.

--license

  Show license information and exit

--verbose

  Show detailed start-up messages.

-n, --new-instance

  Start a new GIMP instance.

-a, --as-new

  Open images as new.

-i, --no-interface

  Run without a user interface.

-d, --no-data

  Do not load patterns, gradients, palettes, or brushes. Often useful in non-interactive situations where start-up time is to be minimized.

-f, --no-fonts

  Do not load any fonts. This option could be useful either for speeding up GIMP start-up for scripts that does not use fonts or to find malformed fonts related problems that could hang GIMP.

-s, --no-splash

  Do not show the splash screen while starting.

--no-shm

  Do not use shared memory between GIMP and plugins.

--no-cpu-accel

  Do not use special CPU acceleration functions. Useful for finding or disabling buggy accelerated hardware or functions.

--session=`name`

  Use a different `sessionrc` for this GIMP session. The given session name is appended to the default `sessionrc` filename.

--gimprc=`filename`

  Use an alternative `gimprc` instead of the default one. The `gimprc` file contains a record of your preferences. Useful in cases where plugins paths or machine specs may be different.

--system-gimprc=`filename`

  Use an alternate system gimprc file

-b, --batch=`commands`

  Execute the set of commands non-interactively. The set of commands is typically in the form of a script that can be executed by one of the GIMP scripting extensions. When commands is `-`, the commands are read from standard input.

--batch-interpreter=`proc`

  The procedure to process batch commands with

--console-messages

  Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`mode`

  PDB compatibility mode (off|on|warn).

--stack-trace-mode=`mode`

  Debug in case of a crash (never|query|always)

--debug-handlers

  Enable non-fatal debugging signal handlers. Useful for GIMP debugging.

--g-fatal-warnings

  Make all warnings fatal. Useful for debug.

--dump-gimprc

  Output a gimprc file with default settings. Useful if you messed up the gimprc file.

--display=`display`

  Use the designated X display (does not apply to all platforms).

2. What's New in GIMP 2.4? |  | 2. Starting GIMP the first time